void main()
{
	// default vertex transformation
	gl_Position = ftransform();

	// transform vertex to eye-space coordinates
	vec4 vecEyeVertex = gl_ModelViewMatrix * gl_Vertex;

	// gl_ClipVertex needs to be set for clipping
	gl_ClipVertex = vecEyeVertex;
	
	// the flow data texture coordinats used in the fragment shader
	gl_TexCoord[0] = gl_MultiTexCoord0;	
	gl_TexCoord[1] = gl_MultiTexCoord1;	
}